{%- from "ceilometer/map.jinja" import server,agent with context %}

ceilometer_render_config:
  test.show_notification:
    - text: "Running ceilometer.upgrade.render_config"

{%- if server.enabled %}
{%- set gnocchi_publisher = server.get('publisher', {}).get('gnocchi', {}) %}

ceilometer_server_conf:
  file.managed:
  - name: /etc/ceilometer/ceilometer.conf
  - source: salt://ceilometer/files/{{ server.version }}/ceilometer-server.conf.{{ grains.os_family }}
  - template: jinja

{%- if gnocchi_publisher.get('create_resources', False) and gnocchi_publisher.get('enabled', False) %}
ceilometer_server_gnocchi_resources:
  file.managed:
  - name: /etc/ceilometer/gnocchi_resources.yaml
  - source: salt://ceilometer/files/{{ server.version }}/gnocchi_resources.yaml
{%- endif %}
{%- endif %}

{%- if agent.enabled %}
ceilometer_agent_conf:
  file.managed:
  - name: /etc/ceilometer/ceilometer.conf
  - source: salt://ceilometer/files/{{ agent.version }}/ceilometer-agent.conf.{{ grains.os_family }}
  - template: jinja
{%- endif %}

